﻿# _*_ coding: utf-8 _*_
from django.db import models
from django.contrib.auth.models import User
from datetime import *

class Apartment(models.Model):
    bedrooms = models.SmallIntegerField()
    beds = models.SmallIntegerField()
    kitchenette = models.BooleanField()
    name = models.CharField(max_length=80,unique=True)
    pathToPicture = models.CharField(max_length=80)
    def setFields(self,bedrooms,beds,name,kitchenette=True,pathToPicture=""):
        self.bedrooms = bedrooms
        self.beds = beds
        self.kitchenette = kitchenette
        self.name = name.strip()
        self.pathToPicture = pathToPicture.strip()
    def __str__(self):
        s = "Apartament: "+self.name+" (id="+str(self.id)+")\n"
        s+="Sypialnie: "+str(self.bedrooms)+"\n"
        s+="Miejsca: "+str(self.beds)+"\n"
        s+="Aneks kuchenny: "+("tak" if self.kitchenette else "nie")+"\n" 
        return s

class TypCeny(models.Model):
    description = models.CharField(max_length=60,unique=True)
    active = models.BooleanField()
    def __str__(self):
        return "Typ: "+self.description+" Id: "+str(self.id) 
    
class Cena(models.Model):
    price = models.SmallIntegerField()
    type = models.ForeignKey(TypCeny)
    apartment = models.ForeignKey(Apartment)
    def __str__(self):
        return "Cena: "+str(self.price)+" Id typu: "+str(self.type_id)+" Id apartamentu: "+str(self.apartment_id)

class Booking(models.Model):
    apartment = models.ForeignKey(Apartment)
    who = models.ForeignKey(User)
    date = models.DateField(db_index=True)
    def __str__(self):
        return "Data: "+self.date.strftime('%d.%m.%y')+" Id rezerwującego: "+str(self.who_id)+" Id apartamentu: "+str(self.apartment_id)     