from django.conf.urls.defaults import patterns,include
import os.path
from bookings.views import *
from django.contrib import admin
from django.views.generic.simple import direct_to_template

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

admin.autodiscover()

media_dir = os.path.join(os.path.dirname(__file__),'media')

urlpatterns = patterns('',
    (r'^$',main_page),
    (r'^register/$',register_page),
    (r'^media/(?P<path>.*)$','django.views.static.serve',{'document_root': media_dir}),
    #(r'^admin/$',include(admin.site.urls)),
    (r'^admin/$',admin_page),
    (r'^login/$',login_page),
    (r'^login2/$','django.contrib.auth.views.login'),
    (r'^logout/$',logout_page),
    (r'^success/$',direct_to_template,{'template':'register_success.html'}),
    (r'^prices/(\w+)/$',prices_page),
    #(r'^prices/$',prices_page),
    (r'^all_prices/(\w+)/$',all_prices_page),
    (r'^save_type/$',save_type_page),
    (r'^delete_type/$',delete_type_page),
    (r'^save_apartment/$',save_apartment_page),
    (r'^save_user/(\w+)$',save_user_page),
    #(r'^save_user/$',save_user_page),
	(r'^delete_user/(\w+)$',delete_user_page),
    (r'^send_mail/$',send_mail_page),
    (r'^one_room/(\w+)$',one_room_page),
    (r'^all_rooms/(\w+)$',all_rooms_page),
	(r'^booking/(\w+)$',booking_page),
    (r'^booking_correction/([._0-9]+)$',booking_correction_page),
    # Examples:
    # url(r'^$', 'pensjonat.views.home', name='home'),
    # url(r'^pensjonat/', include('pensjonat.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
)
